Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454341 - RFE: split out drivers requiring TeX into separate sub-package
Summary: RFE: split out drivers requiring TeX into separate sub-package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlto
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 19:31 UTC by Matěj Cepl
Modified: 2018-04-11 13:17 UTC (History)
1 user (show)

Fixed In Version: xmlto-0.0.21-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 14:17:34 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2008-07-07 19:31:34 UTC
Description of problem:
When building bitlbee (370k src.rpm) I need to install as build requirement
xmlto (53k) and its requirements (69MB!!!), just to generate txt (ps and pdf are
not generated per default). Meanwhile xmlto is able to work perfectly without
TeX-dependent backends, when PS and PDF are not required.

Could you please split xmlto into two packages -- one requiring TeX and other
one which doesn't require it?

Version-Release number of selected component (if applicable):
0.0.21-1.fc10

Comment 1 Ondrej Vasik 2008-07-08 08:56:52 UTC
Those requirements are comming from requirements for passivetex (which needs
tex(latex)). For rebuilt srpm you could easily remove this requirement - as
there is spec file variable tetex(by default enabled). Unfortunately this split
of packages is not so easy - as the supported backends list is not generated
automatically, but comes from Makefile - which can't be splitted easily.
Therefore I would get report of missing backend (if the main package will be
without Requires: xmlto-tetex - which would lead to the same dependencies).
Additionally creating of ps/pdf is frequent usage of xmlto. Maybe you can use
docbook-utils for the job you need - as there is docbook2txt utility (and split
packages for tex related creating pdf). 

Comment 2 Matěj Cepl 2008-07-08 13:37:16 UTC
Yes, I know about docbook2txt (and I use just lynx -dump for my personal build).
The point was that this is not the first moment when I see some package build
txt documentation with xmlto, and so (for them) useless requirement of 69MB is
kind of bad. Thanks for taking this bug.

Comment 3 Ondrej Vasik 2008-07-14 14:17:34 UTC
Ok, Rawhide split to xmlto and xmlto-tex . Built as xmlto-0.0.21-2.fc10 and
xmlto-tex-0.0.21-2.fc10 , closing RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.